QGIS Application - Bug report #17017
QgsDataSourceURI missing from qgis.core
2017-08-14 06:19 PM - Axel Horteborn

Status: Rejected

Priority: Normal

Assignee: Denis Rouzaud

Category: Python bindings / sipify

Affected QGIS version:master Regression?: No
Operating System: Windows x64 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 24916
Description

Really odd bugg | cant import QgsDataSourceURI from qgis.core

if I run dir(qgis.core) in the python console | find QgsDataSourceURI among the classes.

When | try import qgis.core.QgsDataSourceURI
| get: AttributeError: module 'ggis.core’ has no attribute '‘QgsDataSourceURI'

History

#1 - 2017-09-28 09:38 AM - Denis Rouzaud
- Status changed from Open to Feedback

can you try from qgis.core import QgsDataSourceURI

this works for me

#2 - 2017-11-11 01:16 PM - Alexander Bruy
- Resolution set to invalid
- Status changed from Feedback to Rejected

In master this class was renamed to QgsDataSourceUri
